## grendel.composition
Class AttachmentsListBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo
            |
            +--grendel.composition.AttachmentsListBeanInfo

public class AttachmentsListBeanInfo
extends java.beans.SimpleBeanInfo

BeanInfo for AttachmentsList:

Constructor Summary
`AttachmentsListBeanInfo()`

Method Summary
`java.awt.Image` | `getIcon(int iconKind)`
`java.beans.MethodDescriptor[]` | `getMethodDescriptors()`
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttachmentsListBeanInfo

    public AttachmentsListBeanInfo()

Method Detail

### getIcon

    public java.awt.Image getIcon(int iconKind)

  Overrides:
    getIcon in class java.beans.SimpleBeanInfo

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Overrides:
    getPropertyDescriptors in class java.beans.SimpleBeanInfo

### getMethodDescriptors

    public java.beans.MethodDescriptor[] getMethodDescriptors()

  Overrides:
    getMethodDescriptors in class java.beans.SimpleBeanInfo